""" Tk_Mozahik par OE. Projet bonus du livre 
    Programmer avec Python en s'amusant. """
from Tkinter import *
import random

FEN_LARGE = 500
FEN_HAUTE = 300
PALETTE = ["red", "blue", "yellow", "black", "violet", "purple", "green"]
   
def mozahiker( evene ):
   x1, y1 = ( evene.x - 3 ), ( evene.y - 3 )
   x2, y2 = ( evene.x + 3 ), ( evene.y + 3 )
   ndx = random.randint(0,6)
   w.create_rectangle(x1, y1, x2, y2, fill = PALETTE[ndx])

maFen = Tk()
maFen.title("Mozahik : le dessin minimaliste avec Tkinter")
message = Label(maFen, text = "Pose de la mosaque avec ta souris !")
message.pack(side = TOP)

w = Canvas(maFen, width = FEN_LARGE, height = FEN_HAUTE)
w.pack(expand = YES, fill = BOTH)
w.bind( "<B1-Motion>", mozahiker )

btnQuitter = Button(maFen, text="Quitter Mozahik", command=maFen.destroy)
btnQuitter.pack()
    
mainloop()

