"""
tablesmul.py Version 3
Les tables de multiplication
Brendan Scott 2015 VF par OE
"""

#### Section des imports
import random

#### Section des constantes
Q_TEST = (4, 6)
PATRON_Q = "Combien font %s x %s ? "
MINI = 1
MAXI = 12

#### Section des fonctions
def creer_listeq(nmin = MINI, nmax = MAXI, hasard=True): #MODIF V3
    """ Produit une liste de questions au format (x,y)
    avec x et y entre MINI et MAXI (compris)
    """
    tempo = [(x+1, y+1) for x in range(nmin-1, nmax)
                        for y in range(nmin-1, nmax)]
    if hasard is True:
        random.shuffle(tempo)
    return(tempo)

#### Section principale (et de test)
# question = Q_TEST
# invite = PATRON_Q%question
# repon_ok = question[0]*question[1] # On commence a  0
# repon_saisie = raw_input(invite)
# if int(repon_saisie)== repon_ok:
#     print("Correct !")
# else:
#     print("C'est faux.")
for nmin,nmax in [(2, 5), (4, 6), (7, 11)]:
    liste_q = creer_listeq(nmin,nmax)
    print(liste_q)
